/*
*
* Copyright (c) 2013,2014 Institute of Mathematics and Computer Science, University of Latvia (IMCS UL). 
*
* This file is part of DEEK (diagram editor engine kit). 
*
* You can redistribute it and/or modify it under the terms of the GNU General Public License 
* as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
*
* You should have received a copy of the GNU General Public License along with DEEK If not, see http://www.gnu.org/licenses/.
*
*/

package lv.lumii.deek.style;

/**
 * Defines the shapes available for box elements in the diagram.
 */
public enum BoxShapeType {

    /**
     * Rectantle
     */
    RECTANGLE,
    /**
     * Diamond
     */
    DIAMOND,
    /**
     * Ellipse
     */
    ELLIPSE,
    /**
     * Rectangle with rounded corners
     */
    ROUNDED_RECTANGLE,
    /**
     * Circle
     */
    CIRCLE

}
