/*
*
* Copyright (c) 2013,2014 Institute of Mathematics and Computer Science, University of Latvia (IMCS UL). 
*
* This file is part of DEEK (diagram editor engine kit). 
*
* You can redistribute it and/or modify it under the terms of the GNU General Public License 
* as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
*
* You should have received a copy of the GNU General Public License along with DEEK If not, see http://www.gnu.org/licenses/.
*
*/

package lv.lumii.test;

import javax.swing.*;

import lv.lumii.deek.util.Globals;

public class OpusApp {

/**
 * @param args
 */
public static void main(String[] args) {

    System.out.println("Java version: " + System.getProperty("java.runtime.version") + " (on " + System.getProperty("os.arch") + ")");
    System.out.println("Java home: " + System.getProperty("java.home"));

    for (String arg : args) {
        switch (arg.toLowerCase()) {
            case "-debug":
                Globals.debugOutputIsOn = true;
                System.out.println("== running in debug mode ==");
                break;
        }
    }


    SwingUtilities.invokeLater(
            new Runnable() {
                @Override
                public void run() {
                    JFrame f = new OpusFrame();
                    f.setVisible(true);
                }
            }
    );

}

}
