/*
*
* Copyright (c) 2013,2014 Institute of Mathematics and Computer Science, University of Latvia (IMCS UL). 
*
* This file is part of DEEK (diagram editor engine kit). 
*
* You can redistribute it and/or modify it under the terms of the GNU General Public License 
* as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
*
* You should have received a copy of the GNU General Public License along with DEEK If not, see http://www.gnu.org/licenses/.
*
*/

package lv.lumii.test;

import lv.lumii.deek.ui.OpusMagnifier;
import lv.lumii.deek.ui.OpusOverview;

import java.awt.*;

public interface OpusHost {

void setStatusText(String s);

void toggleMenuBar();

void toggleToolBar();

void toggleStatusBar();

void toggleOverview();

void toggleMagnifier();

Component getGlassPane();

void setGlassPane(Component glassPane);

Container getContentPane();

OpusOverview getOverview();

OpusMagnifier getMagnifier();
}
