/*
*
* Copyright (c) 2013,2014 Institute of Mathematics and Computer Science, University of Latvia (IMCS UL). 
*
* This file is part of DEEK (diagram editor engine kit). 
*
* You can redistribute it and/or modify it under the terms of the GNU General Public License 
* as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
*
* You should have received a copy of the GNU General Public License along with DEEK If not, see http://www.gnu.org/licenses/.
*
*/

package lv.lumii.test;

import javax.swing.*;
import java.awt.*;

/**
 * Toolbar for the engine test environment.
 */
@SuppressWarnings("serial")
public class OpusToolbar extends JToolBar {
private OpusFrame ownerFrame;
private OpusApplet ownerApplet;

public OpusToolbar(OpusFrame owner) {
    this.ownerFrame = owner;
    setBackground(Color.LIGHT_GRAY);
}

public OpusToolbar(OpusApplet owner) {
    this.ownerApplet = owner;
    setBackground(Color.LIGHT_GRAY);
}

@Override
public void paintComponent(Graphics g) {
    super.paintComponent(g);
}
}
