/*
*
* Copyright (c) 2013,2014 Institute of Mathematics and Computer Science, University of Latvia (IMCS UL). 
*
* This file is part of DEEK (diagram editor engine kit). 
*
* You can redistribute it and/or modify it under the terms of the GNU General Public License 
* as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
*
* You should have received a copy of the GNU General Public License along with DEEK If not, see http://www.gnu.org/licenses/.
*
*/

package lv.lumii.deek.test;

import lv.lumii.deek.model.DContainer;
import lv.lumii.deek.model.DContainer;

/**
 * Diagram content automatic manipulation API - for the testing purposes.
 */
public interface ContentManipulator
        extends ContentGenerator {

//	void resizeRandomBox();
//	void moveRandomBox();
//	void deleteRandomBox();
//	void deleteRandomLine();

//	void reshapeRandomLine();
//	
//	void resizeRandomContent();

/**
 * Enable the grid for this container, and assign its children to random cells
 *
 * @param container
 */
void gridifyContainer(DContainer container);

void convertChildBoxesToLabels(DContainer container);

/**
 * Perform one random editing step.
 */
void doOneEditingStep();

}
